org.keycloak.userprofile.validation

## Class StaticValidators

- java.lang.Object
- - org.keycloak.userprofile.validation.StaticValidators

-     public class StaticValidators
      extends Object

  Author:
    Markus Till

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticValidators()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BiFunction<String,UserProfileContext,Boolean>` | `checkUsernameExists(boolean externalCondition)`
    `static BiFunction<String,UserProfileContext,Boolean>` | `doesEmailExist(KeycloakSession session)`
    `static BiFunction<String,UserProfileContext,Boolean>` | `doesEmailExistAsUsername(KeycloakSession session)`
    `static BiFunction<String,UserProfileContext,Boolean>` | `isBlank()`
    `static BiFunction<String,UserProfileContext,Boolean>` | `isEmailDuplicated(KeycloakSession session)`
    `static BiFunction<String,UserProfileContext,Boolean>` | `isEmailValid()`
    `static BiFunction<String,UserProfileContext,Boolean>` | `isUserMutable(RealmModel realm)`
    `static BiFunction<String,UserProfileContext,Boolean>` | `userNameExists(KeycloakSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticValidators

          public StaticValidators()

  - ### Method Detail

    - #### isBlank

          public static BiFunction<String,UserProfileContext,Boolean> isBlank()

    - #### isEmailValid

          public static BiFunction<String,UserProfileContext,Boolean> isEmailValid()

    - #### userNameExists

          public static BiFunction<String,UserProfileContext,Boolean> userNameExists(KeycloakSession session)

    - #### isUserMutable

          public static BiFunction<String,UserProfileContext,Boolean> isUserMutable(RealmModel realm)

    - #### checkUsernameExists

          public static BiFunction<String,UserProfileContext,Boolean> checkUsernameExists(boolean externalCondition)

    - #### doesEmailExistAsUsername

          public static BiFunction<String,UserProfileContext,Boolean> doesEmailExistAsUsername(KeycloakSession session)

    - #### isEmailDuplicated

          public static BiFunction<String,UserProfileContext,Boolean> isEmailDuplicated(KeycloakSession session)

    - #### doesEmailExist

          public static BiFunction<String,UserProfileContext,Boolean> doesEmailExist(KeycloakSession session)

Copyright © 2020 JBoss by Red Hat. All rights reserved.